function foxampSettingsCheckboxChange() {
	var foxampSettingCheckboxCheck = document.getElementById("winamp-settings-scrollcheck");
	var foxampSettingSongtickerValue = document.getElementById("winamp-settings-scrollvalue");
	
	if (foxampSettingCheckboxCheck.checked == true) {
		foxampSettingSongtickerValue.disabled = false;
	} else {
		foxampSettingSongtickerValue.disabled = true;
	}
}

function foxampSettingsAutostartChange() {
	var foxampSettingAutostartCheck = document.getElementById("winamp-settings-autostartcheck");
	var foxampSettingWinampDirValue = document.getElementById("winamp-settings-winampdir");
	var foxampSettingBrowseButton = document.getElementById("winamp-settings-browsebutton");
	
	if (foxampSettingAutostartCheck.checked == true) {
		foxampSettingWinampDirValue.disabled = false;
		foxampSettingBrowseButton.disabled = false;
	} else {
		foxampSettingWinampDirValue.disabled = true;
		foxampSettingBrowseButton.disabled = true;
	}
}

function foxampSettingsBrowseButton() {

	var nsIFilePicker = Components.interfaces.nsIFilePicker;
	var fp = Components.classes["@mozilla.org/filepicker;1"]
			.createInstance(nsIFilePicker);
	fp.init(window, "Select Winamp Directory", nsIFilePicker.modeGetFolder);
	var winampDirResult = fp.show();
	
	
	
	if (winampDirResult == nsIFilePicker.returnOK) {
	
		var winampDirValue = fp.file.path;
		var foxampSettingWinampDir = document.getElementById("winamp-settings-winampdir");
		foxampSettingWinampDir.value = winampDirValue;
	
	}
}

function foxampSettingsWindowInit() {
	var foxampPrefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);
	
	var foxampSettingSongtickerCheck = document.getElementById("winamp-settings-scrollcheck");
	foxampSettingSongtickerCheck.checked = foxampPrefs.getBoolPref("foxamp.scrolltitle.enable");

	var foxampSettingSongtickerValue = document.getElementById("winamp-settings-scrollvalue");
	foxampSettingSongtickerValue.value = foxampPrefs.getIntPref("foxamp.scrolltitle.value");
	
		if (foxampSettingSongtickerCheck.checked == true) {
			foxampSettingSongtickerValue.disabled = false;
		} else {
			foxampSettingSongtickerValue.disabled = true;
		}
	
	
	var foxampSettingAutostartCheck = document.getElementById("winamp-settings-autostartcheck");
	foxampSettingAutostartCheck.checked = foxampPrefs.getBoolPref("foxamp.winampautostart");
	
	var foxampSettingWinampDir = document.getElementById("winamp-settings-winampdir");
	foxampSettingWinampDir.value = foxampPrefs.getCharPref("foxamp.winampdir");
	
		var foxampSettingBrowseButton = document.getElementById("winamp-settings-browsebutton");
		
		if (foxampSettingAutostartCheck.checked == true) {
			foxampSettingWinampDir.disabled = false;
			foxampSettingBrowseButton.disabled = false;
		} else {
			foxampSettingWinampDir.disabled = true;
			foxampSettingBrowseButton.disabled = true;
		}
		
		
	var foxampSettingUpdateValue = document.getElementById("winamp-settings-updatevalue");
	foxampSettingUpdateValue.value = foxampPrefs.getIntPref("foxamp.update.value");
}

function foxampSettingsWindowAccept() {
	var foxampPrefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);
	
	var foxampSettingSongtickerCheck = document.getElementById("winamp-settings-scrollcheck");
	foxampPrefs.setBoolPref("foxamp.scrolltitle.enable",foxampSettingSongtickerCheck.checked);

	var foxampSettingSongtickerValue = document.getElementById("winamp-settings-scrollvalue");
	foxampPrefs.setIntPref("foxamp.scrolltitle.value", foxampSettingSongtickerValue.value);
	
	var foxampSettingAutostartCheck = document.getElementById("winamp-settings-autostartcheck");
	foxampPrefs.setBoolPref("foxamp.winampautostart", foxampSettingAutostartCheck.checked);
	
	var foxampSettingWinampDir = document.getElementById("winamp-settings-winampdir");
	foxampPrefs.setCharPref("foxamp.winampdir", foxampSettingWinampDir.value);
	
	var foxampSettingUpdateValue = document.getElementById("winamp-settings-updatevalue");
	foxampPrefs.setIntPref("foxamp.update.value", foxampSettingUpdateValue.value);
}